$ErrorActionPreference = 'Stop';

$packageName= 'invantive-optimizer'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Optimizer-20.1.20-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Optimizer-20.1.20-BETA.msi'
  softwareName = 'Invantive Optimizer'
  checksum = '8C2C0065F05DBEBBB44BBDF9CBA691BDE1090CB498987097844C7B9381D1459D'
  checksumType = 'sha256'
  checksum64 = '8C2C0065F05DBEBBB44BBDF9CBA691BDE1090CB498987097844C7B9381D1459D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-optimizer-20.1.20-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
